version: "3.4"

services:
  database:
    image: mcr.microsoft.com/mssql/server:2019-latest
    ports:
      - "1433:1433"
    environment:
      - ACCEPT_EULA=Y
      - MSSQL_SA_PASSWORD=1234@abcd
      - MSSQL_PID=Express

  duffsnacksapiv2:
    depends_on:
      - database
    ports:
      - 5000:80
    environment:
      - ASPNETCORE_ENVIRONMENT=Development
      - "ConnectionStrings:LocalDB=Server=database;Database=duffsnacks;User Id=sa;Password=1234@abcd;TrustServerCertificate=True;"
